ConfigurationProperties (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, interface: ConfigurationProperties

Package org.apache.geode.distributed

# Interface ConfigurationProperties

public interface ConfigurationProperties
This interface defines all the configuration properties that can be used. Since: Geode 1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACK_SEVERE_ALERT_THRESHOLD`
  The static string definition of the "ack-severe-alert-threshold" property
  `static final String`
  `ACK_WAIT_THRESHOLD`
  The static String definition of the "ack-wait-threshold" property
  `static final String`
  `ARCHIVE_DISK_SPACE_LIMIT`
  The static String definition of the "archive-disk-space-limit" property
  `static final String`
  `ARCHIVE_FILE_SIZE_LIMIT`
  The static String definition of the "archive-file-size-limit" property
  `static final String`
  `ASYNC_DISTRIBUTION_TIMEOUT`
  The static String definition of the "async-distribution-timeout" property
  `static final String`
  `ASYNC_MAX_QUEUE_SIZE`
  The static String definition of the "async-max-queue-size" property
  `static final String`
  `ASYNC_QUEUE_TIMEOUT`
  The static String definition of the "async-queue-timeout" property
  `static final String`
  `BIND_ADDRESS`
  The static String definition of the "bind-address" property
  `static final String`
  `CACHE_XML_FILE`
  The static String definition of the "cache-xml-file" property
  `static final String`
  `CLUSTER_CONFIGURATION_DIR`
  Deprecated.
  Since Geode1.14.
  `static final String`
  `CLUSTER_SSL_CIPHERS`
  Deprecated.
  Since Geode 1.0 use `SSL_CIPHERS`
  `static final String`
  `CLUSTER_SSL_ENABLED`
  Deprecated.
  Since Geode 1.0 see `SSL_ENABLED_COMPONENTS`
  `static final String`
  `CLUSTER_SSL_KEYSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE`
  `static final String`
  `CLUSTER_SSL_KEYSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
  `static final String`
  `CLUSTER_SSL_KEYSTORE_TYPE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
  `static final String`
  `CLUSTER_SSL_PREFIX`
  Deprecated.
  Since Geode1.0, use ssl-* properties and ssl-enabled-components
  `static final String`
  `CLUSTER_SSL_PROTOCOLS`
  Deprecated.
  Since Geode 1.0 use `SSL_PROTOCOLS`
  `static final String`
  `CLUSTER_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
  `static final String`
  `CLUSTER_SSL_TRUSTSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE`
  `static final String`
  `CLUSTER_SSL_TRUSTSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
  `static final String`
  `CONFLATE_EVENTS`
  The static String definition of the "conflate-events" property
  `static final String`
  `CONSERVE_SOCKETS`
  The static String definition of the "conserve-sockets" property
  `static final String`
  `DELTA_PROPAGATION`
  The static String definition of the "delta-propagation" property
  `static final String`
  `DEPLOY_WORKING_DIR`
  The static String definition of the "deploy-working-dir" property
  `static final String`
  `DISABLE_AUTO_RECONNECT`
  The static String definition of the "disable-auto-reconnect" property
  `static final String`
  `DISABLE_JMX`
  The static String definition of the "disable-jmx" property
  `static final String`
  `DISABLE_TCP`
  The static String definition of the "disable-tcp" property
  `static final String`
  `DISTRIBUTED_SYSTEM_ID`
  The static String definition of the "distributed-system-id" property
  `static final String`
  `DISTRIBUTED_TRANSACTIONS`
  The static String definition of the "distributed-transactions" property Since: Geode 1.0
  `static final String`
  `DURABLE_CLIENT_ID`
  The static String definition of the "durable-client-id" property
  `static final String`
  `DURABLE_CLIENT_TIMEOUT`
  The static String definition of the "durable-client-timeout" property
  `static final String`
  `ENABLE_CLUSTER_CONFIGURATION`
  The static String definition of the "enable-cluster-configuration" property
  `static final String`
  `ENABLE_MANAGEMENT_REST_SERVICE`
  The static String definition of the "enable-management-rest-service" property
  `static final String`
  `ENABLE_NETWORK_PARTITION_DETECTION`
  The static String definition of the "enable-network-partition-detection" property
  `static final String`
  `ENABLE_TIME_STATISTICS`
  The static String definition of the "enable-time-statistics" property
  `static final String`
  `ENFORCE_UNIQUE_HOST`
  The static String definition of the "enforce-unique-host" property
  `static final String`
  `GATEWAY_SSL_CIPHERS`
  Deprecated.
  Since Geode 1.0 use `SSL_CIPHERS`
  `static final String`
  `GATEWAY_SSL_ENABLED`
  Deprecated.
  Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with the optional `SSL_GATEWAY_ALIAS`
  `static final String`
  `GATEWAY_SSL_KEYSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE`
  `static final String`
  `GATEWAY_SSL_KEYSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
  `static final String`
  `GATEWAY_SSL_KEYSTORE_TYPE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
  `static final String`
  `GATEWAY_SSL_PROTOCOLS`
  Deprecated.
  Since Geode 1.0 use `SSL_PROTOCOLS`
  `static final String`
  `GATEWAY_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
  `static final String`
  `GATEWAY_SSL_TRUSTSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE`
  `static final String`
  `GATEWAY_SSL_TRUSTSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
  `static final String`
  `GROUPS`
  The static String definition of the "groups" property.
  `static final String`
  `HTTP_SERVICE_BIND_ADDRESS`
  The static String definition of the "http-service-bind-address" property
  `static final String`
  `HTTP_SERVICE_PORT`
  The static String definition of the "http-service-port" property
  `static final String`
  `HTTP_SERVICE_SSL_CIPHERS`
  Deprecated.
  Since Geode 1.0 use `SSL_CIPHERS`
  `static final String`
  `HTTP_SERVICE_SSL_ENABLED`
  Deprecated.
  Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with optional `SSL_WEB_ALIAS`
  `static final String`
  `HTTP_SERVICE_SSL_KEYSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE`
  `static final String`
  `HTTP_SERVICE_SSL_KEYSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
  `static final String`
  `HTTP_SERVICE_SSL_KEYSTORE_TYPE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
  `static final String`
  `HTTP_SERVICE_SSL_PREFIX`
  Deprecated.
  `static final String`
  `HTTP_SERVICE_SSL_PROTOCOLS`
  Deprecated.
  Since Geode 1.0 use `SSL_PROTOCOLS`
  `static final String`
  `HTTP_SERVICE_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  Since Geode 1.0 use `SSL_WEB_SERVICE_REQUIRE_AUTHENTICATION`
  `static final String`
  `HTTP_SERVICE_SSL_TRUSTSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE`
  `static final String`
  `HTTP_SERVICE_SSL_TRUSTSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
  `static final String`
  `JMX_MANAGER`
  The static String definition of the "jmx-manager" property
  `static final String`
  `JMX_MANAGER_ACCESS_FILE`
  The static String definition of the "jmx-manager-access-file" property
  `static final String`
  `JMX_MANAGER_BIND_ADDRESS`
  The static String definition of the "jmx-manager-bind-address" property
  `static final String`
  `JMX_MANAGER_HOSTNAME_FOR_CLIENTS`
  The static String definition of the "jmx-manager-hostname-for-clients" property
  `static final String`
  `JMX_MANAGER_HTTP_PORT`
  Deprecated.
  as of GemFire 8.0 use `HTTP_SERVICE_PORT` instead.
  `static final String`
  `JMX_MANAGER_PASSWORD_FILE`
  The static String definition of the "jmx-manager-password-file" property
  `static final String`
  `JMX_MANAGER_PORT`
  The static String definition of the "jmx-manager-port" property
  `static final String`
  `JMX_MANAGER_SSL_CIPHERS`
  Deprecated.
  Since Geode 1.0 use `SSL_CIPHERS`
  `static final String`
  `JMX_MANAGER_SSL_ENABLED`
  Deprecated.
  Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with optional `SSL_JMX_ALIAS`
  `static final String`
  `JMX_MANAGER_SSL_KEYSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE`
  `static final String`
  `JMX_MANAGER_SSL_KEYSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
  `static final String`
  `JMX_MANAGER_SSL_KEYSTORE_TYPE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
  `static final String`
  `JMX_MANAGER_SSL_PREFIX`
  Deprecated.
  Since Geode1.0, use ssl-* properties and ssl-enabled-components
  `static final String`
  `JMX_MANAGER_SSL_PROTOCOLS`
  Deprecated.
  Since Geode 1.0 use `SSL_PROTOCOLS`
  `static final String`
  `JMX_MANAGER_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
  `static final String`
  `JMX_MANAGER_SSL_TRUSTSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE`
  `static final String`
  `JMX_MANAGER_SSL_TRUSTSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
  `static final String`
  `JMX_MANAGER_START`
  The static String definition of the "jmx-manager-start" property
  `static final String`
  `JMX_MANAGER_UPDATE_RATE`
  The static String definition of the "jmx-manager-update-rate" property
  `static final String`
  `LOAD_CLUSTER_CONFIGURATION_FROM_DIR`
  The static String definition of the "load-cluster-configuration-from-dir" property
  `static final String`
  `LOCATOR_WAIT_TIME`
  The static String definition of the "locator-wait-time" property
  `static final String`
  `LOCATORS`
  The static String definition of the "locators" property
  `static final String`
  `LOCK_MEMORY`
  The static String definition of the "lock-memory" property
  `static final String`
  `LOG_DISK_SPACE_LIMIT`
  The static String definition of the "log-disk-space-limit" property
  `static final String`
  `LOG_FILE`
  The static String definition of the "log-file" property
  `static final String`
  `LOG_FILE_SIZE_LIMIT`
  The static String definition of the "log-file-size-limit" property
  `static final String`
  `LOG_LEVEL`
  The static String definition of the "log-level" property
  `static final String`
  `MAX_NUM_RECONNECT_TRIES`
  The static String definition of the "max-num-reconnect-tries" property
  `static final String`
  `MAX_WAIT_TIME_RECONNECT`
  The static String definition of the "max-wait-time-reconnect" property
  `static final String`
  `MCAST_ADDRESS`
  The static String definition of the "mcast-address" property
  `static final String`
  `MCAST_FLOW_CONTROL`
  The static String definition of the "mcast-flow-control" property
  `static final String`
  `MCAST_PORT`
  The static String definition of the "mcast-port" property
  `static final String`
  `MCAST_RECV_BUFFER_SIZE`
  The static String definition of the "mcast-recv-buffer-size" property
  `static final String`
  `MCAST_SEND_BUFFER_SIZE`
  The static String definition of the "mcast-send-buffer-size" property
  `static final String`
  `MCAST_TTL`
  The static String definition of the "mcast-ttl" property
  `static final String`
  `MEMBER_TIMEOUT`
  The static String definition of the "member-timeout" property
  `static final String`
  `MEMBERSHIP_PORT_RANGE`
  The static String definition of the "membership-port-range" property
  `static final String`
  `MEMCACHED_BIND_ADDRESS`
  The static String definition of the "memcached-bind-address" property
  `static final String`
  `MEMCACHED_PORT`
  The static String definition of the "memcached-port" property
  `static final String`
  `MEMCACHED_PROTOCOL`
  The static String definition of the "memcached-protocol" property
  `static final String`
  `NAME`
  The static string definition of the "name" property
  `static final String`
  `OFF_HEAP_MEMORY_SIZE`
  The static String definition of the "off-heap-memory-size" property
  `static final String`
  `REDUNDANCY_ZONE`
  The static String definition of the "redundancy-zone" property
  `static final String`
  `REMOTE_LOCATORS`
  The static String definition of the "remote-locators" property
  `static final String`
  `REMOVE_UNRESPONSIVE_CLIENT`
  The static String definition of the "remove-unresponsive-client" property
  `static final String`
  `ROLES`
  Deprecated.
  : This feature is scheduled to be removed.
  `static final String`
  `SECURITY_AUTH_TOKEN_ENABLED_COMPONENTS`
  The static String definition of the "security-auth-token-enabled-components" property
  `static final String`
  `SECURITY_CLIENT_ACCESSOR`
  Deprecated.
  since Geode 1.0, use security-manager
  `static final String`
  `SECURITY_CLIENT_ACCESSOR_PP`
  Deprecated.
  since Geode 1.0, use security-post-processor
  `static final String`
  `SECURITY_CLIENT_AUTH_INIT`
  The static String definition of the "security-client-auth-init" property
  `static final String`
  `SECURITY_CLIENT_AUTHENTICATOR`
  Deprecated.
  since Geode 1.0, use security-manager
  `static final String`
  `SECURITY_CLIENT_DHALGO`
  Deprecated.
  since Geode 1.5.
  `static final String`
  `SECURITY_LOG_FILE`
  The static String definition of the "security-log-file" property
  `static final String`
  `SECURITY_LOG_LEVEL`
  The static String definition of the "security-log-level" property
  `static final String`
  `SECURITY_MANAGER`
  The static String definition of the "security-manager" property
  `static final String`
  `SECURITY_PEER_AUTH_INIT`
  The static String definition of the "security-peer-auth-init" property
  `static final String`
  `SECURITY_PEER_AUTHENTICATOR`
  Deprecated.
  since Geode 1.0, use security-manager
  `static final String`
  `SECURITY_PEER_VERIFY_MEMBER_TIMEOUT`
  The static String definition of the "security-peer-verifymember-timeout" property
  `static final String`
  `SECURITY_POST_PROCESSOR`
  The static String definition of the "security-post-processor" property
  `static final String`
  `SECURITY_PREFIX`
  The static String definition of the security prefix "security-" property used in conjunction with other security-* properties
  `static final String`
  `SECURITY_SHIRO_INIT`
  The static String definition of the "shiro-init" property Since: Geode 1.0
  `static final String`
  `SECURITY_UDP_DHALGO`
  The static String definition of the "security-udp-dhalgo" property.
  `static final String`
  `SERIALIZABLE_OBJECT_FILTER`
  The static String definition of the "serializable-object-filter" property DescriptionA user provided acceptlist of objects that the system will allow to serialize.
  `static final String`
  `SERVER_BIND_ADDRESS`
  The static String definition of the "server-bind-address" property
  `static final String`
  `SERVER_SSL_CIPHERS`
  Deprecated.
  Since Geode 1.0 use `SSL_CIPHERS`
  `static final String`
  `SERVER_SSL_ENABLED`
  Deprecated.
  Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with optional `SSL_SERVER_ALIAS`
  `static final String`
  `SERVER_SSL_KEYSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE`
  `static final String`
  `SERVER_SSL_KEYSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
  `static final String`
  `SERVER_SSL_KEYSTORE_TYPE`
  Deprecated.
  Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
  `static final String`
  `SERVER_SSL_PROTOCOLS`
  Deprecated.
  Since Geode 1.0 use `SSL_PROTOCOLS`
  `static final String`
  `SERVER_SSL_REQUIRE_AUTHENTICATION`
  Deprecated.
  Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
  `static final String`
  `SERVER_SSL_TRUSTSTORE`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE`
  `static final String`
  `SERVER_SSL_TRUSTSTORE_PASSWORD`
  Deprecated.
  Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
  `static final String`
  `SOCKET_BUFFER_SIZE`
  The static String definition of the "socket-buffer-size" property
  `static final String`
  `SOCKET_LEASE_TIME`
  The static String definition of the "socket-lease-time" property
  `static final String`
  `SSL_CIPHERS`
  The static String definition of the "ssl-ciphers" property
  `static final String`
  `SSL_CLIENT_PROTOCOLS`
  The static String definition of the "ssl-client-protocols" property
  `static final String`
  `SSL_CLUSTER_ALIAS`
  The static String definition of the "ssl-cluster-alias" property
  `static final String`
  `SSL_DEFAULT_ALIAS`
  The static String definition of the "ssl-default-alias" property DescriptionThis property will be set when using multi-key keystores.
  `static final String`
  `SSL_ENABLED_COMPONENTS`
  The static String definition of the "ssl-enabled-components" property
  `static final String`
  `SSL_ENDPOINT_IDENTIFICATION_ENABLED`
  The static String definition of the "ssl-endpoint-identification-enabled" property
  `static final String`
  `SSL_GATEWAY_ALIAS`
  The static String definition of the "ssl-gateway-alias" property
  `static final String`
  `SSL_JMX_ALIAS`
  The static String definition of the "ssl-jmx-alias" property
  `static final String`
  `SSL_KEYSTORE`
  The static String definition of the "ssl-keystore" property
  `static final String`
  `SSL_KEYSTORE_PASSWORD`
  The static String definition of the "ssl-keystore-password" property
  `static final String`
  `SSL_KEYSTORE_TYPE`
  The static String definition of the "ssl-keystore-type" property
  `static final String`
  `SSL_LOCATOR_ALIAS`
  The static String definition of the "ssl-locator-alias" property
  `static final String`
  `SSL_PARAMETER_EXTENSION`
  The static String definition of the "ssl-parameter-extension" property DescriptionSSLParameterExtension module name for Clients that want to use SSL Parameter extensions.
  `static final String`
  `SSL_PROTOCOLS`
  The static String definition of the "ssl-protocols" property
  `static final String`
  `SSL_REQUIRE_AUTHENTICATION`
  The static String definition of the "ssl-require-authentication" property
  `static final String`
  `SSL_SERVER_ALIAS`
  The static String definition of the "ssl-server-alias" property
  `static final String`
  `SSL_SERVER_PROTOCOLS`
  The static String definition of the "ssl-server-protocols" property
  `static final String`
  `SSL_TRUSTSTORE`
  The static String definition of the "ssl-truststore" property
  `static final String`
  `SSL_TRUSTSTORE_PASSWORD`
  The static String definition of the "ssl-truststore-password" property
  `static final String`
  `SSL_TRUSTSTORE_TYPE`
  The static String definition of the "ssl-truststore-type" property
  `static final String`
  `SSL_USE_DEFAULT_CONTEXT`
  The static String definition of the "ssl-use-default-context" property
  `static final String`
  `SSL_WEB_ALIAS`
  The static String definition of the "ssl-web-alias" property
  `static final String`
  `SSL_WEB_SERVICE_REQUIRE_AUTHENTICATION`
  The static String definition of the "ssl-web-require-authentication" property DescriptionIf false allows client side's http connection to be authenticated without a 2-way SSL authentication.
  `static final String`
  `START_DEV_REST_API`
  The static String definition of the "start-dev-rest-api" property
  `static final String`
  `START_LOCATOR`
  The static String definition of the "start-locator" property
  `static final String`
  `STATISTIC_ARCHIVE_FILE`
  The static String definition of the "statistic-archive-file" property
  `static final String`
  `STATISTIC_SAMPLE_RATE`
  The static String definition of the "statistic-sample-rate" property
  `static final String`
  `STATISTIC_SAMPLING_ENABLED`
  The static String definition of the "statistic-sampling-enabled" property
  `static final String`
  `TCP_PORT`
  The static String definition of the "tcp-port" property
  `static final String`
  `THREAD_MONITOR_ENABLED`
  The static String definition of the "thread-monitor-enabled" property
  `static final String`
  `THREAD_MONITOR_INTERVAL`
  The static String definition of the "thread-monitor-interval-ms" property
  `static final String`
  `THREAD_MONITOR_TIME_LIMIT`
  The static String definition of the "thread-monitor-time-limit-ms" property
  `static final String`
  `UDP_FRAGMENT_SIZE`
  The static String definition of the "udp-fragment-size" property
  `static final String`
  `UDP_RECV_BUFFER_SIZE`
  The static String definition of the "udp-recv-buffer-size" property
  `static final String`
  `UDP_SEND_BUFFER_SIZE`
  The static String definition of the "udp-send-buffer-size" property
  `static final String`
  `USE_CLUSTER_CONFIGURATION`
  The static String definition of the "use-cluster-configuration" property
  `static final String`
  `USER_COMMAND_PACKAGES`
  The static String definition of the "user-command-packages" property
  `static final String`
  `VALIDATE_SERIALIZABLE_OBJECTS`
  The static String definition of the "validate-serializable-objects" property DescriptionIf true checks incoming java serializable objects against a filter (allows internal Geode classes and any others provided in the serializable-object-filter property).

- ## Field Details

  - ### ACK_SEVERE_ALERT_THRESHOLD

    static final String ACK_SEVERE_ALERT_THRESHOLD
    The static string definition of the "ack-severe-alert-threshold" property

    Description: The number of seconds the distributed system will wait after the ack-wait-threshold for a message to be acknowledged before it issues an alert at severe level. The default value is zero, which turns off this feature. When ack-severe-alert-threshold is used, GemFire will also initiate additional checks to see if the process is alive. These checks will begin when the ack-wait-threshold is reached and will continue until GemFire has been able to communicate with the process and ascertain its status.

    Default: "0"

    Allowed values: 0..2147483647

    See Also:
      - Constant Field Values

  - ### ACK_WAIT_THRESHOLD

    static final String ACK_WAIT_THRESHOLD
    The static String definition of the "ack-wait-threshold" property

    Description: The number of seconds the distributed system will wait for a message to be acknowledged before it sends a warning level alert to signal that something might be wrong with the system node that is unresponsive. After sending this alert the waiter continues to wait. The alerts are logged in the log as warnings and will cause an alert notification in the Admin API and GemFire JMX Agent.

    Default: "15"

    Allowed values: 1..2147483647

    See Also:
      - Constant Field Values

  - ### ARCHIVE_DISK_SPACE_LIMIT

    static final String ARCHIVE_DISK_SPACE_LIMIT
    The static String definition of the "archive-disk-space-limit" property

    Description: Limits, in megabytes, how much disk space can be consumed by old inactive statistic archive files. When the limit is exceeded the oldest inactive archive is deleted. Set to zero to disable automatic archive deletion.

    Default: "0"

    Allowed values: 0..1000000

    See Also:
      - Constant Field Values

  - ### ARCHIVE_FILE_SIZE_LIMIT

    static final String ARCHIVE_FILE_SIZE_LIMIT
    The static String definition of the "archive-file-size-limit" property

    Description: Limits, in megabytes, how large the current statistic archive file can grow before it is closed and archival rolls on to a new file. Set to zero to disable archive rolling.

    Default: "0"

    Allowed values: 0..1000000

    See Also:
      - Constant Field Values

  - ### ASYNC_DISTRIBUTION_TIMEOUT

    static final String ASYNC_DISTRIBUTION_TIMEOUT
    The static String definition of the "async-distribution-timeout" property

    Description: The number of milliseconds before a publishing process should attempt to distribute a cache operation before switching over to asynchronous messaging for this process. To enable asynchronous messaging, the value must be set above zero. If a thread that is publishing to the cache exceeds this value when attempting to distribute to this process, it will switch to asynchronous messaging until this process catches up, departs, or some specified limit is reached, such as async-queue-timeout or async-max-queue-size.

    Default: "0"

    Allowed values: 0..60000

    See Also:
      - Constant Field Values

  - ### ASYNC_MAX_QUEUE_SIZE

    static final String ASYNC_MAX_QUEUE_SIZE
    The static String definition of the "async-max-queue-size" property

    Description: The maximum size in megabytes that a publishing process should be allowed to asynchronously enqueue for this process before asking this process to depart from the distributed system.

    Default: "8"

    Allowed values: 0..1024

    See Also:
      - Constant Field Values

  - ### ASYNC_QUEUE_TIMEOUT

    static final String ASYNC_QUEUE_TIMEOUT
    The static String definition of the "async-queue-timeout" property

    Description: The number of milliseconds a queuing publisher may enqueue asynchronous messages without any distribution to this process before that publisher requests this process to depart. If a queuing publisher has not been able to send this process any cache operations prior to the timeout, this process will attempt to close its cache and disconnect from the distributed system.

    Default: "60000"

    Allowed values: 0..86400000

    See Also:
      - Constant Field Values

  - ### BIND_ADDRESS

    static final String BIND_ADDRESS
    The static String definition of the "bind-address" property

    Description: The IP address that this distributed system's server sockets will listen on. If set to an empty string then the local machine's default address will be listened on.

    Default: ""

    See Also:
      - Constant Field Values

  - ### CACHE_XML_FILE

    static final String CACHE_XML_FILE
    The static String definition of the "cache-xml-file" property

    Description: Specifies the name of the XML file or resource to initialize the cache with when it is created. Create will first look for a file that matches the value of this property. If a file is not found then it will be searched for using `ClassLoader.getResource(java.lang.String)`. If the value of this property is the empty string (`""`), then the cache will not be declaratively initialized.

    Default: "cache.xml"

    See Also:
      - Constant Field Values

  - ### CLUSTER_CONFIGURATION_DIR

    @Deprecated static final String CLUSTER_CONFIGURATION_DIR
    Deprecated.
    Since Geode1.14. use import-cluster-configuration and export-cluster-configuration to upload/download cluster configuration to/from the cluster.
    The static String definition of the "cluster-configuration-dir" property

    Description: This property specifies the directory in which the cluster configuration related disk-store and artifacts are stored This property is only applicable to dedicated locators which have "enable-cluster-configuration" set to true. Since 1.12, the product does not use this property anymore.

    Default: ""

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_PREFIX

    @Deprecated static final String CLUSTER_SSL_PREFIX
    Deprecated.
    Since Geode1.0, use ssl-* properties and ssl-enabled-components
    The static String definition of the cluster ssl prefix "cluster-ssl" used in conjunction with other cluster-ssl-* properties property

    Description: The cluster-ssl property prefix

    See Also:
      - Constant Field Values

  - ### SSL_CLUSTER_ALIAS

    static final String SSL_CLUSTER_ALIAS
    The static String definition of the "ssl-cluster-alias" property

    Description: This property is to be used if a specific key is to be used out of a keystore for the cluster ssl certificate.

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_CIPHERS

    @Deprecated static final String CLUSTER_SSL_CIPHERS
    Deprecated.
    Since Geode 1.0 use `SSL_CIPHERS`
    The static String definition of the "cluster-ssl-ciphers" property

    Description: A space separated list of the SSL cipher suites to enable. Those listed must be supported by the available providers.Preferably use cluster-ssl-* properties rather than ssl-* properties.

    Default: "any"

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_ENABLED

    @Deprecated static final String CLUSTER_SSL_ENABLED
    Deprecated.
    Since Geode 1.0 see `SSL_ENABLED_COMPONENTS`
    The static String definition of the "cluster-ssl-enabled" property

    Description: If true, all gemfire socket communication is configured to use SSL through JSSE.

    Default: "false"

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_KEYSTORE

    @Deprecated static final String CLUSTER_SSL_KEYSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE`
    The static String definition of the "cluster-ssl-keystore" property

    DescriptionLocation of the Java keystore file containing certificate and private key.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_KEYSTORE_PASSWORD

    @Deprecated static final String CLUSTER_SSL_KEYSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
    The static String definition of the "cluster-ssl-keystore-password" property

    DescriptionPassword to access the private key from the keystore file specified by javax.net.ssl.keyStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_KEYSTORE_TYPE

    @Deprecated static final String CLUSTER_SSL_KEYSTORE_TYPE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
    The static String definition of the "cluster-ssl-keystore-type" property

    DescriptionFor Java keystore file format, this property has the value jks (or JKS).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_PROTOCOLS

    @Deprecated static final String CLUSTER_SSL_PROTOCOLS
    Deprecated.
    Since Geode 1.0 use `SSL_PROTOCOLS`
    The static String definition of the "cluster-ssl-protocols" property

    Description: A space separated list of the SSL protocols to enable. Those listed must be supported by the available providers.

    Default: "any"

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_REQUIRE_AUTHENTICATION

    @Deprecated static final String CLUSTER_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
    The static String definition of the "cluster-ssl-require-authentication" property

    Description: If false, allow ciphers that do not require the client side of the connection to be authenticated.

    Default: "true"

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_TRUSTSTORE

    @Deprecated static final String CLUSTER_SSL_TRUSTSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE`
    The static String definition of the "cluster-ssl-truststore" property

    DescriptionLocation of the Java keystore file containing the collection of CA certificates trusted by distributed member (trust store).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CLUSTER_SSL_TRUSTSTORE_PASSWORD

    @Deprecated static final String CLUSTER_SSL_TRUSTSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
    The static String definition of the "cluster-ssl-truststore-password" property

    DescriptionPassword to unlock the keystore file (store password) specified by javax.net.ssl.trustStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### CONFLATE_EVENTS

    static final String CONFLATE_EVENTS
    The static String definition of the "conflate-events" property

    Description: This is a client-side property that is passed to the server. Allowable values are "server", "true", and "false". With the "server" setting, this client's servers use their own client queue conflation settings. With a "true" setting, the servers disregard their own configuration and enable conflation of events for all regions for the client. A "false" setting causes the client's servers to disable conflation for all regions for the client. Default: "server"

    Since: GemFire 5.7

    See Also:
      - Constant Field Values

  - ### CONSERVE_SOCKETS

    static final String CONSERVE_SOCKETS
    The static String definition of the "conserve-sockets" property

    Description: If "true" then a minimal number of sockets will be used when connecting to the distributed system. This conserves resource usage but can cause performance to suffer. If "false" then every application thread that sends distribution messages to other members of the distributed system will own its own sockets and have exclusive access to them. The length of time a thread can have exclusive access to a socket can be configured with "socket-lease-time". Default: "false"

    Allowed values: true|false

    See Also:
      - Constant Field Values

  - ### DELTA_PROPAGATION

    static final String DELTA_PROPAGATION
    The static String definition of the "delta-propagation" property

    Description: "true" indicates that server propagates delta generated from `Delta` type of objects. If "false" then server propagates full object but not delta.

    Default: "true"

    Allowed values: true|false

    See Also:
      - Constant Field Values

  - ### DEPLOY_WORKING_DIR

    static final String DEPLOY_WORKING_DIR
    The static String definition of the "deploy-working-dir" property

    Description: Specifies the working directory which this distributed member will use to persist deployed JAR files. This directory should be unchanged when restarting the member so that it can read what was previously persisted. The default is the current working directory as determined by `System.getProperty("user.dir")`.

    Default: `System.getProperty("user.dir")`

    Since: GemFire 7.0

    See Also:
      - Constant Field Values

  - ### DISABLE_AUTO_RECONNECT

    static final String DISABLE_AUTO_RECONNECT
    The static String definition of the "disable-auto-reconnect" property

    Description: By default GemFire will attempt to reconnect and reinitialize the cache when it has been forced out of the distributed system by a network-partition event or has otherwise been shunned by other members. This setting will turn off this behavior.

    Default: "false"

    See Also:
      - Constant Field Values

  - ### DISABLE_TCP

    static final String DISABLE_TCP
    The static String definition of the "disable-tcp" property

    Description: Turns off use of tcp/ip sockets, forcing the cache to use datagram sockets for all communication. This is useful if you have a large number of processes in the distributed cache since it eliminates the per-connection reader-thread that is otherwise required. However, udp communications are somewhat slower than tcp/ip communications due to the extra work required in Java to break messages down to transmittable sizes, and the extra work required to guarantee message delivery.

    Default: "false"

    Allowed values: true or false

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### DISABLE_JMX

    static final String DISABLE_JMX
    The static String definition of the "disable-jmx" property

    Description: Turns off use of JMX, preventing the process from creating Geode MBeans.

    Default: "false"

    Allowed values: true or false

    Since: Geode 1.9

    See Also:
      - Constant Field Values

  - ### DISTRIBUTED_SYSTEM_ID

    static final String DISTRIBUTED_SYSTEM_ID
    The static String definition of the "distributed-system-id" property

    Decription:A number that uniquely identifies this distributed system, when using the WAN gateway to share data between multiple distributed systems. This setting is only required when using the WAN gateway in conjunction with the Portable Data eXchange (PDX) serialization format.

    If set, this setting must be the same for every member in this distributed system. It must be different than the number in other distributed systems that this one will connect to using the WAN. -1 means no setting.

    Range:-1..255

    Default:: "-1"

    See Also:
      - Constant Field Values

  - ### DURABLE_CLIENT_ID

    static final String DURABLE_CLIENT_ID
    The static String definition of the "durable-client-id" property

    Description: The id to be used by this durable client. When a durable client connects to a server, this id is used by the server to identify it. The server will accumulate updates for a durable client while it is disconnected and deliver these events to the client when it reconnects. Default: ""

    Since: GemFire 5.5

    See Also:
      - Constant Field Values

  - ### DURABLE_CLIENT_TIMEOUT

    static final String DURABLE_CLIENT_TIMEOUT
    The static String definition of the "durable-client-timeout" property

    Description: The number of seconds a disconnected durable client is kept alive and updates are accumulated for it by the server before it is terminated. Default: "300"

    Since: GemFire 5.5

    See Also:
      - Constant Field Values

  - ### ENABLE_CLUSTER_CONFIGURATION

    static final String ENABLE_CLUSTER_CONFIGURATION
    The static String definition of the "enable-cluster-configuration" property

    Description: "true" causes creation of cluster configuration service on dedicated locators. The cluster configuration service on dedicated locator(s) would serve the configuration to new members joining the distributed system and also save the configuration changes caused by the Gfsh commands. This property is only applicable to dedicated locators.

    Default: "true"

    Allowed values: true or false

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### ENABLE_MANAGEMENT_REST_SERVICE

    static final String ENABLE_MANAGEMENT_REST_SERVICE
    The static String definition of the "enable-management-rest-service" property

    Description: "true" causes the cluster management rest service to be enabled. This service requires the cluster configuration service to be enabled. If "enable-cluster-configuration" is false and this is true, the management rest service would do nothing but report an error if you try to use it. Also even if this property is set to "true", The management rest service will only be started if "http-service-port" is not "0".

    Default: "true"

    Allowed values: true or false

    Since: Geode 1.10

    See Also:
      - Constant Field Values

  - ### ENABLE_NETWORK_PARTITION_DETECTION

    static final String ENABLE_NETWORK_PARTITION_DETECTION
    The static String definition of the "enable-network-partition-detection" property

    Description: Turns on network partitioning detection algorithms, which detect loss of quorum and shuts down losing partitions.

    Default: "true"

    See Also:
      - Constant Field Values

  - ### ENABLE_TIME_STATISTICS

    static final String ENABLE_TIME_STATISTICS
    The static String definition of the "enable-time-statistics" property

    Description: "true" causes additional time-based statistics to be gathered for gemfire operations. This can aid in discovering where time is going in cache operations, albeit at the expense of extra clock probes on every operation. "false" disables the additional time-based statistics.

    Default: "false"

    Allowed values: true or false

    Since: 5.0

    See Also:
      - Constant Field Values

  - ### ENFORCE_UNIQUE_HOST

    static final String ENFORCE_UNIQUE_HOST
    The static String definition of the "enforce-unique-host" property

    Description: Whether or not partitioned regions will put redundant copies of the same data in different JVMs running on the same physical host.

    By default, partitioned regions will try to put redundancy copies on different physical hosts, but it may put them on the same physical host if no other hosts are available. Setting this property to true will prevent partitions regions from ever putting redundant copies of data on the same physical host.

    Default: "false"

    See Also:
      - Constant Field Values

  - ### SSL_GATEWAY_ALIAS

    static final String SSL_GATEWAY_ALIAS
    The static String definition of the "ssl-gateway-alias" property

    Description: This property is to be used if a specific key is to be used for the SSL communications for the Gateways.

    Optional Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_CIPHERS

    @Deprecated static final String GATEWAY_SSL_CIPHERS
    Deprecated.
    Since Geode 1.0 use `SSL_CIPHERS`
    The static String definition of the "gateway-ssl-ciphers" property

    Description: A space separated list of the SSL cipher suites to enable. Those listed must be supported by the available providers.

    Default: `any`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_ENABLED

    @Deprecated static final String GATEWAY_SSL_ENABLED
    Deprecated.
    Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with the optional `SSL_GATEWAY_ALIAS`
    The static String definition of the "gateway-ssl-enabled" property

    Description: Specifies if gateway is started with separate ssl configuration. If not specified global property ssl-enabled (and its other related properties) are used to create gateway socket

    Default: `false`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_KEYSTORE

    @Deprecated static final String GATEWAY_SSL_KEYSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE`
    The static String definition of the "gateway-ssl-keystore" property

    DescriptionLocation of the Java keystore file containing certificate and private key.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_KEYSTORE_PASSWORD

    @Deprecated static final String GATEWAY_SSL_KEYSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
    The static String definition of the "gateway-ssl-keystore-password" property

    DescriptionPassword to access the private key from the keystore file specified by javax.net.ssl.keyStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_KEYSTORE_TYPE

    @Deprecated static final String GATEWAY_SSL_KEYSTORE_TYPE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
    The static String definition of the "gateway-ssl-keystore-type" property

    DescriptionFor Java keystore file format, this property has the value jks (or JKS).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_PROTOCOLS

    @Deprecated static final String GATEWAY_SSL_PROTOCOLS
    Deprecated.
    Since Geode 1.0 use `SSL_PROTOCOLS`
    The static String definition of the "gateway-ssl-protocols" property

    Description: A space separated list of the SSL protocols to enable. Those listed must be supported by the available providers.

    Default: `any`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_REQUIRE_AUTHENTICATION

    @Deprecated static final String GATEWAY_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
    The static String definition of the "gateway-ssl-require-authentication" property

    Description: If false, allow ciphers that do not require the Gateway Sender side of the connection to be authenticated.

    Default: `any`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_TRUSTSTORE

    @Deprecated static final String GATEWAY_SSL_TRUSTSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE`
    The static String definition of the "gateway-ssl-truststore" property

    DescriptionLocation of the Java keystore file containing the collection of CA certificates trusted by server (trust store).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GATEWAY_SSL_TRUSTSTORE_PASSWORD

    @Deprecated static final String GATEWAY_SSL_TRUSTSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
    The static String definition of the "gateway-ssl-truststore-password" property

    Description: Password to unlock the keystore file (store password) specified by javax.net.ssl.trustStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### GROUPS

    static final String GROUPS
    The static String definition of the "groups" property.

    Description: Defines the list of groups this member belongs to. Use commas to separate group names. Note that anything defined by the deprecated roles gemfire property will also be considered a group.

    Default: ""

    Since: GemFire 7.0

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_BIND_ADDRESS

    static final String HTTP_SERVICE_BIND_ADDRESS
    The static String definition of the "http-service-bind-address" property

    Description: The address where the GemFire HTTP service will listen for remote connections. One can use this property to configure what ip address or host name the HTTP service will listen on. When not set, by default the HTTP service will listen on the local host's address.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_PORT

    static final String HTTP_SERVICE_PORT
    The static String definition of the "http-service-port" property

    Description: Specifies the port used by the GemFire HTTP service. If configured with non-zero value, then an HTTP service will listen on this port. A value of "0" disables Gemfire HTTP service.

    Default: "7070"

    Allowed values: 0..65535

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SSL_WEB_ALIAS

    static final String SSL_WEB_ALIAS
    The static String definition of the "ssl-web-alias" property

    Description: This property is to be used if a specific key is to be used for the SSL communications for the HTTP service.

    Optional Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_PREFIX

    @Deprecated static final String HTTP_SERVICE_SSL_PREFIX
    Deprecated.
    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_CIPHERS

    @Deprecated static final String HTTP_SERVICE_SSL_CIPHERS
    Deprecated.
    Since Geode 1.0 use `SSL_CIPHERS`
    The static String definition of the "http-service-ssl-ciphers" property

    Description: A space separated list of the SSL cipher suites to enable. Those listed must be supported by the available providers.

    Default: `any`

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_ENABLED

    @Deprecated static final String HTTP_SERVICE_SSL_ENABLED
    Deprecated.
    Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with optional `SSL_WEB_ALIAS`
    The static String definition of the "http-service-ssl-enabled" property

    Description: Specifies if http service is started with separate ssl configuration. If not specified, global property cluster-ssl-enabled (and its other related properties) are used to secure http service. All http-service-ssl-* properties are inherited from cluster-ssl-* properties. User can override them using specific http-service-ssl-* property.

    Default: `false`

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_KEYSTORE

    @Deprecated static final String HTTP_SERVICE_SSL_KEYSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE`
    The static String definition of the "http-service-ssl-keystore" property

    Description: Location of the Java keystore file containing certificate and private key.

    Default: ""

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_KEYSTORE_PASSWORD

    @Deprecated static final String HTTP_SERVICE_SSL_KEYSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
    The static String definition of the "http-service-ssl-keystore-password" property

    Description: Password to access the private key from the keystore file specified by javax.net.ssl.keyStore.

    Default: ""

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_KEYSTORE_TYPE

    @Deprecated static final String HTTP_SERVICE_SSL_KEYSTORE_TYPE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
    The static String definition of the "http-service-ssl-keystore-type" property

    Description: For Java keystore file format, this property has the value jks (or JKS).

    Default: ""

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_PROTOCOLS

    @Deprecated static final String HTTP_SERVICE_SSL_PROTOCOLS
    Deprecated.
    Since Geode 1.0 use `SSL_PROTOCOLS`
    The static String definition of the "http-service-ssl-protocols" property

    Description: A space separated list of the SSL protocols to enable. Those listed must be supported by the available providers.

    Default: `any`

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_REQUIRE_AUTHENTICATION

    @Deprecated static final String HTTP_SERVICE_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    Since Geode 1.0 use `SSL_WEB_SERVICE_REQUIRE_AUTHENTICATION`
    The static String definition of the "http-service-ssl-require-authentication" property

    Description: If false, allow ciphers that do not require the client side of the connection to be authenticated.

    Default: `false`

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_TRUSTSTORE

    @Deprecated static final String HTTP_SERVICE_SSL_TRUSTSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE`
    The static String definition of the "http-service-ssl-truststore" property

    Description: Location of the Java keystore file containing the collection of CA certificates trusted by server (trust store).

    Default: ""

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### HTTP_SERVICE_SSL_TRUSTSTORE_PASSWORD

    @Deprecated static final String HTTP_SERVICE_SSL_TRUSTSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
    The static String definition of the "http-service-ssl-truststore-password" property

    Description: Password to unlock the keystore file (store password) specified by javax.net.ssl.trustStore.

    Default: ""

    Since: GemFire 8.1

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_PREFIX

    @Deprecated static final String JMX_MANAGER_SSL_PREFIX
    Deprecated.
    Since Geode1.0, use ssl-* properties and ssl-enabled-components
    The static String definition of the jmx-manager-ssl prefix "jmx-manager-ssl-" property

    Description: The jmx-manager-ssl prefix for use in conjunction with other jmx-manager-ssl-* properties.

    Default: Optional

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER

    static final String JMX_MANAGER
    The static String definition of the "jmx-manager" property

    Description: If true then this member is willing to be a jmx-manager. All the other jmx-manager properties will be used when it does become a manager. If this property is false then all other jmx-manager properties are ignored.

    Default: "false except on locators"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_ACCESS_FILE

    static final String JMX_MANAGER_ACCESS_FILE
    The static String definition of the "jmx-manager-access-file" property

    Description: By default the jmx-manager will allow full access to all mbeans by any client. If this property is set to the name of a file then it can restrict clients to only being able to read mbeans; they will not be able to modify mbeans. The access level can be configured differently in this file for each user name defined in the password file. For more information about the format of this file see Oracle's documentation of the com.sun.management.jmxremote.access.file system property. Ignored if jmx-manager is false or if jmx-manager-port is zero.

    Default: ""

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_BIND_ADDRESS

    static final String JMX_MANAGER_BIND_ADDRESS
    The static String definition of the "jmx-manager-bind-address" property

    Description: By default the jmx-manager when configured with a port will listen on all the local host's addresses. You can use this property to configure what ip address or host name the jmx-manager will listen on. In addition, if the embedded http server is started, it will also bind to this address if it is set. Ignored if jmx-manager is false or jmx-manager-port is zero.

    Default: ""

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_HOSTNAME_FOR_CLIENTS

    static final String JMX_MANAGER_HOSTNAME_FOR_CLIENTS
    The static String definition of the "jmx-manager-hostname-for-clients" property

    Description: Lets you control what hostname will be given to clients that ask the locator for the location of a jmx manager. By default the ip address that the jmx-manager reports is used. But for clients on a different network this property allows you to configure a different hostname that will be given to clients. Ignored if jmx-manager is false or jmx-manager-port is zero.

    Default: ""

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_HTTP_PORT

    @Deprecated static final String JMX_MANAGER_HTTP_PORT
    Deprecated.
    as of GemFire 8.0 use `HTTP_SERVICE_PORT` instead.
    The static String definition of the "jmx-manager-http-port" property

    Description: If non-zero then when the jmx manager is started, an embedded web server will also be started and will listen on this port. The web server is used to host the GemFire Pulse application. If you are hosting the Pulse web app in your own web server, then disable this embedded server by setting this property to zero. Ignored if jmx-manager is false.

    Default: "7070"

    Deprecated: as of GemFire8.0 use `http-service-port` instead.

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_PASSWORD_FILE

    static final String JMX_MANAGER_PASSWORD_FILE
    The static String definition of the "jmx-manager-password-file" property

    Description: By default the jmx-manager will allow clients without credentials to connect. If this property is set to the name of a file then only clients that connect with credentials that match an entry in this file will be allowed. Most JVMs require that the file is only readable by the owner. For more information about the format of this file see Oracle's documentation of the com.sun.management.jmxremote.password.file system property. Ignored if jmx-manager is false or if jmx-manager-port is zero.

    Default: ""

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_PORT

    static final String JMX_MANAGER_PORT
    The static String definition of the "jmx-manager-port" property

    Description: The port this jmx manager will listen to for client connections. If this property is set to zero then GemFire will not allow remote client connections but you can alternatively use the standard system properties supported by the JVM for configuring access from remote JMX clients. Ignored if jmx-manager is false.

    Default: "1099"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_START

    static final String JMX_MANAGER_START
    The static String definition of the "jmx-manager-start" property

    Description: If true then this member will start a jmx manager when it creates a cache. Management tools like gfsh can be configured to connect to the jmx-manager. In most cases you should not set this because a jmx manager will automatically be started when needed on a member that sets "jmx-manager" to true. Ignored if jmx-manager is false.

    Default: "false"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_UPDATE_RATE

    static final String JMX_MANAGER_UPDATE_RATE
    The static String definition of the "jmx-manager-update-rate" property

    Description: The rate, in milliseconds, at which this member will push updates to any jmx managers. Currently this value should be greater than or equal to the statistic-sample-rate. Setting this value too high will cause stale values to be seen by gfsh and pulse.

    Default: "2000"

    See Also:
      - Constant Field Values

  - ### SSL_JMX_ALIAS

    static final String SSL_JMX_ALIAS
    The static String definition of the "ssl-jmx-alias" property

    Description: This property is to be used if a specific key is to be used for the SSL communications for the jmx manager.

    Optional Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_CIPHERS

    @Deprecated static final String JMX_MANAGER_SSL_CIPHERS
    Deprecated.
    Since Geode 1.0 use `SSL_CIPHERS`
    The static String definition of the "jmx-manager-ssl-ciphers" property

    Description: A space separated list of the SSL cipher suites to enable. Those listed must be supported by the available providers.

    Default: "any"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_ENABLED

    @Deprecated static final String JMX_MANAGER_SSL_ENABLED
    Deprecated.
    Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with optional `SSL_JMX_ALIAS`
    The static String definition of the "jmx-manager-ssl-enabled" property

    Description: If true and jmx-manager-port is not zero then the jmx-manager will only accept ssl connections. Note that the ssl-enabled property does not apply to the jmx-manager but the other ssl properties do. This allows ssl to be configured for just the jmx-manager without needing to configure it for the other GemFire connections. Ignored if jmx-manager is false.

    Default: "false"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_KEYSTORE

    @Deprecated static final String JMX_MANAGER_SSL_KEYSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE`
    The static String definition of the "jmx-manager-ssl-keystore" property

    Description: Location of the Java keystore file containing certificate and private key.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_KEYSTORE_PASSWORD

    @Deprecated static final String JMX_MANAGER_SSL_KEYSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
    The static String definition of the "jmx-manager-ssl-keystore-password" property

    Description: Password to access the private key from the keystore file specified by javax.net.ssl.keyStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_KEYSTORE_TYPE

    @Deprecated static final String JMX_MANAGER_SSL_KEYSTORE_TYPE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
    The static String definition of the "jmx-manager-ssl-keystore-type" property

    Description: For Java keystore file format, this property has the value jks (or JKS).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_PROTOCOLS

    @Deprecated static final String JMX_MANAGER_SSL_PROTOCOLS
    Deprecated.
    Since Geode 1.0 use `SSL_PROTOCOLS`
    The static String definition of the "jmx-manager-ssl-protocols" property

    Description: A space separated list of the SSL protocols to enable. Those listed must be supported by the available providers.

    Default: "any"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_REQUIRE_AUTHENTICATION

    @Deprecated static final String JMX_MANAGER_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
    The static String definition of the "jmx-manager-ssl-require-authentication" property

    Description: If false, allow ciphers that do not require the client side of the connection to be authenticated.

    Default: "true"

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_TRUSTSTORE

    @Deprecated static final String JMX_MANAGER_SSL_TRUSTSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE`
    The static String definition of the "jmx-manager-ssl-truststore" property

    Description: Location of the Java keystore file containing the collection of CA certificates trusted by manager (trust store).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### JMX_MANAGER_SSL_TRUSTSTORE_PASSWORD

    @Deprecated static final String JMX_MANAGER_SSL_TRUSTSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
    The static String definition of the "jmx-manager-ssl-truststore-password" property

    Description: Password to unlock the keystore file (store password) specified by javax.net.ssl.trustStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### LOAD_CLUSTER_CONFIGURATION_FROM_DIR

    static final String LOAD_CLUSTER_CONFIGURATION_FROM_DIR
    The static String definition of the "load-cluster-configuration-from-dir" property

    Description: "true" causes loading of cluster configuration from "cluster_config" directory in the locator. This property is only applicable to dedicated locators which have "enable-cluster-configuration" set to true.

    Default: "false"

    Allowed values: true or false

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SSL_LOCATOR_ALIAS

    static final String SSL_LOCATOR_ALIAS
    The static String definition of the "ssl-locator-alias" property

    Description: This property is to be used if a specific key is to be used for the SSL communications for locators and for communicating with locators.

    Optional Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### LOCATOR_WAIT_TIME

    static final String LOCATOR_WAIT_TIME
    The static String definition of the "locator-wait-time" property

    Description: The number of seconds to wait for a locator to start if one is not available when attempting to join the distributed system. This setting can be used when locators and peers are being started all at once in order to have the peers be patient and wait for the locators to finish starting up before attempting to join the distributed system..

    Default: "0"

    See Also:
      - Constant Field Values

  - ### LOCATORS

    static final String LOCATORS
    The static String definition of the "locators" property

    Description: A list of locators (host and port) that are used to find other member of the distributed system. This attribute's value may be empty or contain one or more comma separated elements. Each element must be of the form "hostname[portNumber]" or "hostname:bindAddress[portNumber]" if a specific bind address is to be used on the locator machine. The square brackets around the portNumber are literal characters and must be specified. The hostname may be a name from DNS or the local hosts file or a literal IP address.

    For example, "locator1[10334]" specifies a locator running on "locator1" on port 10334, while "locator1[10334],locator2:204.44.44.1[11336]" specifies two locators; one running on "locator1" on port 10334, and another running on "locator2" and bound to 204.44.44.1 on port 11336.

    Since IPv6 bind addresses may contain colons, you may use an at symbol instead of a colon to separate the host name and bind address. For example, "server1@fdf0:76cf:a0ed:9449::5[12233]" specifies a locator running on "server1" and bound to fdf0:76cf:a0ed:9449::5 on port 12233.

    If "locators" is empty then this distributed system will be isolated from all other GemFire processes.

    Default: ""

    See Also:
      - Constant Field Values

  - ### LOG_DISK_SPACE_LIMIT

    static final String LOG_DISK_SPACE_LIMIT
    The static String definition of the "log-disk-space-limit" property

    Description: Limits, in megabytes, how much disk space can be consumed by old inactive log files. When the limit is exceeded the oldest inactive log file is deleted. Set to zero to disable automatic log file deletion.

    Default: "0"

    Allowed values: 0..1000000

    See Also:
      - Constant Field Values

  - ### LOG_FILE

    static final String LOG_FILE
    The static String definition of the "log-file" property

    Description: Name of the file to write logging messages to. If the file name is "" (default) then messages are written to standard out.

    Default: ""

    See Also:
      - Constant Field Values

  - ### LOG_FILE_SIZE_LIMIT

    static final String LOG_FILE_SIZE_LIMIT
    The static String definition of the "log-file-size-limit" property

    Description: Limits, in megabytes, how large the current log file can grow before it is closed and logging rolls on to a new file. Set to zero to disable log rolling.

    Default: "0"

    Allowed values: 0..1000000

    See Also:
      - Constant Field Values

  - ### LOG_LEVEL

    static final String LOG_LEVEL
    The static String definition of the "log-level" property

    Description:The type of log messages that will actually write to the log file.

    Default: "config"

    Allowed values: all|finest|finer|fine|config|info|warning|severe|none

    See Also:
      - Constant Field Values

  - ### MAX_NUM_RECONNECT_TRIES

    static final String MAX_NUM_RECONNECT_TRIES
    The static String definition of the "max-num-reconnect-tries" property

    Description: Specifies the maximum number or times to attempt to reconnect to the distributed system when required roles are missing. This does not apply to reconnect attempts due to a forced disconnect.

    Deprecated: this setting is scheduled to be removed.

    Default: "3"

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### MAX_WAIT_TIME_RECONNECT

    static final String MAX_WAIT_TIME_RECONNECT
    The static String definition of the "max-wait-time-reconnect" property

    Description: Specifies the time in milliseconds to wait before each reconnect attempt when a member of the distributed system is forced out of the system and auto-reconnect is enabled (see `disable-auto-reconnect`) or if the deprecated required-roles feature is being used and a role-loss has triggered a shutdown and reconnect.

    Default: "60000"

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### MCAST_ADDRESS

    static final String MCAST_ADDRESS
    The static String definition of the "mcast-address" property

    Description: The IP address used for multicast networking. If mcast-port is zero, then mcast-address is ignored.

    Default: "239.192.81.1"

    See Also:
      - Constant Field Values

  - ### MCAST_FLOW_CONTROL

    static final String MCAST_FLOW_CONTROL
    The static String definition of the "mcast-flow-control" property

    Description: Configures the flow-of-control protocol for multicast messaging. There are three settings that are separated by commas: byteAllowance (integer), rechargeThreshold (float) and rechargeBlockMs (integer). The byteAllowance determines how many bytes can be sent without a recharge from other processes. The rechargeThreshold tells receivers how low the sender's initial to remaining allowance ratio should be before sending a recharge. The rechargeBlockMs tells the sender how long to wait for a recharge before explicitly requesting one.

    Deprecated: as of 9.0 GemFire does not include a flow-of-control protocol for multicast messaging.

    Default: "1048576,0.25,5000"

    Allowed values: 100000-maxInt, 0.1-0.5, 500-60000

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### MCAST_PORT

    static final String MCAST_PORT
    The static String definition of the "mcast-port" property

    Description: The port used for multicast networking. If zero, then multicast will be disabled and unicast messaging will be used.

    Default: "0"

    See Also:
      - Constant Field Values

  - ### MCAST_RECV_BUFFER_SIZE

    static final String MCAST_RECV_BUFFER_SIZE
    The static String definition of the "mcast-recv-buffer-size" property

    Description: Sets the size of the socket buffer used for incoming multicast transmissions. You should set this high if there will be high volumes of messages. Default: "1048576"

    Allowed values: 2048..Operating System maximum

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### MCAST_SEND_BUFFER_SIZE

    static final String MCAST_SEND_BUFFER_SIZE
    The static String definition of the "mcast-send-buffer-size" property

    Description: Sets the size of the socket buffer used for outgoing multicast transmissions. Default: "65535"

    Allowed values: 2048..Operating System maximum

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### MCAST_TTL

    static final String MCAST_TTL
    The static String definition of the "mcast-ttl" property

    Description: Determines how far through your network the multicast packets used by GemFire will propagate. Default: "32"

    Allowed values: 0..255

    Since: GemFire 4.1

    See Also:
      - Constant Field Values

  - ### MEMBER_TIMEOUT

    static final String MEMBER_TIMEOUT
    The static String definition of the "member-timeout" property

    Description: Sets the timeout interval, in milliseconds, used to determine whether another process is alive or not. When another process appears to be gone, GemFire sends it an ARE-YOU-DEAD message and waits for the member-timeout period for it to respond and declare it is not dead.

    Default: "5000"

    Allowed values: 1000-600000

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### MEMBERSHIP_PORT_RANGE

    static final String MEMBERSHIP_PORT_RANGE
    The static String definition of the "membership-port-range" property

    Description: The allowed range of ports for use in forming an unique membership identifier (UDP), for failure detection purposes (TCP) and to listen on for peer connections (TCP). This range is given as two numbers separated by a minus sign. Minimum 3 values in range are required to successfully startup.

    Default: 41000-61000

    See Also:
      - Constant Field Values

  - ### MEMCACHED_BIND_ADDRESS

    static final String MEMCACHED_BIND_ADDRESS
    The static String definition of the "memcached-bind-address" property

    Description: Specifies the bind address used by `org.apache.geode.memcached.GemFireMemcachedServer`

    Default: ""

    See Also:
      - Constant Field Values

  - ### MEMCACHED_PORT

    static final String MEMCACHED_PORT
    The static String definition of the "memcached-port" property

    Description: Specifies the port used by `org.apache.geode.memcached.GemFireMemcachedServer` which enables memcached clients to connect and store data in GemFire distributed system. see `org.apache.geode.memcached.GemFireMemcachedServer` for other configuration options.

    Default: "0" disables GemFireMemcachedServer

    Allowed values: 0..65535

    See Also:
      - Constant Field Values

  - ### MEMCACHED_PROTOCOL

    static final String MEMCACHED_PROTOCOL
    The static String definition of the "memcached-protocol" property

    Description: Specifies the protocol used by `org.apache.geode.memcached.GemFireMemcachedServer`

    Default: "ASCII"

    Allowed values: "ASCII" "BINARY"

    See Also:
      - Constant Field Values

  - ### NAME

    static final String NAME
    The static string definition of the "name" property

    Description: Uniquely identifies a member in its distributed system. If two members with the same name try to join the same distributed system then the second join will fail.

    Default: ""

    See Also:
      - Constant Field Values

  - ### REDUNDANCY_ZONE

    static final String REDUNDANCY_ZONE
    The static String definition of the "redundancy-zone" property

    Description: Defines the redundancy zone from this member. If this property is set, partitioned regions will not put two redundant copies of data in two members with the same redundancy zone setting.

    Default: ""

    See Also:
      - Constant Field Values

  - ### REMOTE_LOCATORS

    static final String REMOTE_LOCATORS
    The static String definition of the "remote-locators" property

    Description: A list of locators (host and port) that a cluster will use in order to connect to a remote site in a multi-site (WAN) configuration. This attribute's value is a possibly comma separated list.

    For each remote locator, provide a hostname and/or address (separated by '@', if you use both), followed by a port number in brackets.

    Examples: remote-locators=address1[port1],address2[port2]

    remote-locators=hostName1@address1[port1],hostName2@address2[port2]

    remote-locators=hostName1[port1],hostName2[port2]

    Default: ""

    See Also:
      - Constant Field Values

  - ### REMOVE_UNRESPONSIVE_CLIENT

    static final String REMOVE_UNRESPONSIVE_CLIENT
    The static String definition of the "remove-unresponsive-client" property
    See Also:
      - Constant Field Values

  - ### ROLES

    @Deprecated static final String ROLES
    Deprecated.
    : This feature is scheduled to be removed.
    The static String definition of the "roles" property

    Description: Specifies the application roles that this member performs in the distributed system. This is a comma delimited list of user-defined strings. Any number of members can be configured to perform the same role, and a member can be configured to perform any number of roles. Note that anything defined by the groups gemfire property will also be considered a role.

    Default: ""

    Since: GemFire 5.0

    Deprecated: This feature is scheduled to be removed.

    See Also:
      - Constant Field Values

  - ### SECURITY_PREFIX

    static final String SECURITY_PREFIX
    The static String definition of the security prefix "security-" property used in conjunction with other security-* properties

    Description: Mechanism to define client credentials. All tags with "security-" prefix is packaged together as security properties and passed as an argument to getCredentials of Authentication module. These tags cannot have null values.

    Default: Optional

    Allowed values: any string

    See Also:
      - Constant Field Values

  - ### SECURITY_CLIENT_ACCESSOR

    @Deprecated static final String SECURITY_CLIENT_ACCESSOR
    Deprecated.
    since Geode 1.0, use security-manager
    The static String definition of the "security-client-accessor" property
    See Also:
      - Constant Field Values

  - ### SECURITY_CLIENT_ACCESSOR_PP

    @Deprecated static final String SECURITY_CLIENT_ACCESSOR_PP
    Deprecated.
    since Geode 1.0, use security-post-processor
    The static String definition of the "security-client-accessor-pp" property
    See Also:
      - Constant Field Values

  - ### SECURITY_CLIENT_AUTH_INIT

    static final String SECURITY_CLIENT_AUTH_INIT
    The static String definition of the "security-client-auth-init" property

    Description: Authentication module name for Clients that requires to act upon credentials read from the gemfire.properties file. Module must implement AuthInitialize interface.

    Default: ""

    Allowed values: jar file:class name

    See Also:
      - Constant Field Values

  - ### SECURITY_MANAGER

    static final String SECURITY_MANAGER
    The static String definition of the "security-manager" property
    Since:
      Geode 1.0
    See Also:
      - Constant Field Values

  - ### SECURITY_POST_PROCESSOR

    static final String SECURITY_POST_PROCESSOR
    The static String definition of the "security-post-processor" property
    Since:
      Geode 1.0
    See Also:
      - Constant Field Values

  - ### SECURITY_CLIENT_AUTHENTICATOR

    @Deprecated static final String SECURITY_CLIENT_AUTHENTICATOR
    Deprecated.
    since Geode 1.0, use security-manager
    The static String definition of the "security-client-authenticator" property
    See Also:
      - Constant Field Values

  - ### SECURITY_CLIENT_DHALGO

    @Deprecated static final String SECURITY_CLIENT_DHALGO
    Deprecated.
    since Geode 1.5. Use SSL instead. See {`SSL_ENABLED_COMPONENTS`}
    The static String definition of the "security-client-dhalgo" property
    See Also:
      - Constant Field Values

  - ### SECURITY_UDP_DHALGO

    static final String SECURITY_UDP_DHALGO
    The static String definition of the "security-udp-dhalgo" property. Application can set this property to valid symmetric key algorithm, to encrypt udp messages in Geode. Geode will generate symmetric key using Diffie-Hellman key exchange algorithm between peers. That key further used by specified algorithm to encrypt the udp messages.
    See Also:
      - Constant Field Values

  - ### SECURITY_LOG_FILE

    static final String SECURITY_LOG_FILE
    The static String definition of the "security-log-file" property
    See Also:
      - Constant Field Values

  - ### SECURITY_LOG_LEVEL

    static final String SECURITY_LOG_LEVEL
    The static String definition of the "security-log-level" property
    See Also:
      - Constant Field Values

  - ### SECURITY_PEER_AUTH_INIT

    static final String SECURITY_PEER_AUTH_INIT
    The static String definition of the "security-peer-auth-init" property
    See Also:
      - Constant Field Values

  - ### SECURITY_PEER_AUTHENTICATOR

    @Deprecated static final String SECURITY_PEER_AUTHENTICATOR
    Deprecated.
    since Geode 1.0, use security-manager
    The static String definition of the "security-peer-authenticator" property
    See Also:
      - Constant Field Values

  - ### SECURITY_PEER_VERIFY_MEMBER_TIMEOUT

    static final String SECURITY_PEER_VERIFY_MEMBER_TIMEOUT
    The static String definition of the "security-peer-verifymember-timeout" property
    See Also:
      - Constant Field Values

  - ### SERVER_BIND_ADDRESS

    static final String SERVER_BIND_ADDRESS
    The static String definition of the "server-bind-address" property

    Description: The IP address that this distributed system's server sockets in a client-server topology will listen on. If set to an empty string then all of the local machine's addresses will be listened on.

    Default: ""

    See Also:
      - Constant Field Values

  - ### SSL_SERVER_ALIAS

    static final String SSL_SERVER_ALIAS
    The static String definition of the "ssl-server-alias" property

    Description: This property is to be used if a specific key is to be used for the SSL communications for client-server.

    Optional Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_CIPHERS

    @Deprecated static final String SERVER_SSL_CIPHERS
    Deprecated.
    Since Geode 1.0 use `SSL_CIPHERS`
    The static String definition of the "server-ssl-ciphers" property

    Description: A space separated list of the SSL cipher suites to enable. Those listed must be supported by the available providers.

    Default: `any`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_ENABLED

    @Deprecated static final String SERVER_SSL_ENABLED
    Deprecated.
    Since Geode 1.0 use `SSL_ENABLED_COMPONENTS` with optional `SSL_SERVER_ALIAS`
    The static String definition of the "server-ssl-enabled" property

    Description: Specifies if server is started with separate ssl configuration. If not specified global property ssl-enabled (and its other related properties) are used to create server socket

    Default: `false`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_KEYSTORE

    @Deprecated static final String SERVER_SSL_KEYSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE`
    The static String definition of the "server-ssl-keystore" property

    Description: Location of the Java keystore file containing certificate and private key.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_KEYSTORE_PASSWORD

    @Deprecated static final String SERVER_SSL_KEYSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_PASSWORD`
    The static String definition of the "server-ssl-keystore-password" property

    Description: Password to access the private key from the keystore file specified by javax.net.ssl.keyStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_KEYSTORE_TYPE

    @Deprecated static final String SERVER_SSL_KEYSTORE_TYPE
    Deprecated.
    Since Geode 1.0 use `SSL_KEYSTORE_TYPE`
    The static String definition of the "server-ssl-keystore-type" property

    Description: For Java keystore file format, this property has the value jks (or JKS).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_PROTOCOLS

    @Deprecated static final String SERVER_SSL_PROTOCOLS
    Deprecated.
    Since Geode 1.0 use `SSL_PROTOCOLS`
    The static String definition of the "server-ssl-protocols" property

    Description: A space separated list of the SSL protocols to enable. Those listed must be supported by the available providers.

    Default: `any`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_REQUIRE_AUTHENTICATION

    @Deprecated static final String SERVER_SSL_REQUIRE_AUTHENTICATION
    Deprecated.
    Since Geode 1.0 use `SSL_REQUIRE_AUTHENTICATION`
    The static String definition of the "server-ssl-require-authentication" property

    Description: If false, allow ciphers that do not require the client side of the connection to be authenticated.

    Default: `any`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_TRUSTSTORE

    @Deprecated static final String SERVER_SSL_TRUSTSTORE
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE`
    The static String definition of the "server-ssl-truststore" property

    Description: Location of the Java keystore file containing the collection of CA certificates trusted by server (trust store).

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SERVER_SSL_TRUSTSTORE_PASSWORD

    @Deprecated static final String SERVER_SSL_TRUSTSTORE_PASSWORD
    Deprecated.
    Since Geode 1.0 use `SSL_TRUSTSTORE_PASSWORD`
    The static String definition of the "server-ssl-truststore-password" property

    Description: Password to unlock the keystore file (store password) specified by javax.net.ssl.trustStore.

    Default: ""

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### SOCKET_BUFFER_SIZE

    static final String SOCKET_BUFFER_SIZE
    The static String definition of the "socket-buffer-size" property

    Description: The size of each socket buffer, in bytes. Smaller buffers conserve memory. Larger buffers can improve performance; in particular if large messages are being sent. Default: "32768"

    Allowed values: 128..16777215

    Since: GemFire 4.1

    See Also:
      - Constant Field Values

  - ### SOCKET_LEASE_TIME

    static final String SOCKET_LEASE_TIME
    The static String definition of the "socket-lease-time" property

    Description: The number of milliseconds a thread can keep exclusive access to a socket that it is not actively using. Once a thread loses its lease to a socket it will need to re-acquire a socket the next time it sends a message. A value of zero causes socket leases to never expire. This property is ignored if "conserve-sockets" is true. Default: "60000"

    Allowed values: 0..600000

    Since: GemFire 4.1

    See Also:
      - Constant Field Values

  - ### START_DEV_REST_API

    static final String START_DEV_REST_API
    The static String definition of the "start-dev-rest-api" property

    Description: If true then developer(API) REST service will be started when cache is created. REST service can be configured using `http-service-port` and `http-service-bind-address` properties.

    Default: "false"

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### START_LOCATOR

    static final String START_LOCATOR
    The static String definition of the "start-locator" property

    Description: A host name or bind-address and port ("host[port]") that are used to start a locator in the same process as the DistributedSystem. The locator is started when the DistributedSystem connects, and is stopped when the DistributedSystem disconnects. To start a locator that is not tied to the DistributedSystem's lifecycle, see the `Locator` class in this same package.

    Default: "" (doesn't start a locator)

    See Also:
      - Constant Field Values

  - ### STATISTIC_ARCHIVE_FILE

    static final String STATISTIC_ARCHIVE_FILE
    The static String definition of the "statistic-archive-file" property

    Description: The file that statistic samples are written to. An empty string (default) disables statistic archival.

    Default: ""

    See Also:
      - Constant Field Values

  - ### STATISTIC_SAMPLE_RATE

    static final String STATISTIC_SAMPLE_RATE
    The static String definition of the "statistic-sample-rate" property

    Description: The rate, in milliseconds, at which samples of the statistics will be taken. If set to a value less than 1000 the rate will be set to 1000 because the VSD tool does not support sub-second sampling.

    Default: "1000"

    Allowed values: 100..60000

    See Also:
      - Constant Field Values

  - ### STATISTIC_SAMPLING_ENABLED

    static final String STATISTIC_SAMPLING_ENABLED
    The static String definition of the "statistic-sampling-enabled" property

    Description: "true" causes the statistics to be sampled periodically and operating system statistics to be fetched each time a sample is taken. "false" disables sampling which also disables operating system statistic collection. Non OS statistics will still be recorded in memory and can be viewed by administration tools. However, charts will show no activity and no statistics will be archived while sampling is disabled. Starting in 7.0 the default value has been changed to true. If statistic sampling is disabled it will also cause various metrics seen in gfsh and pulse to always be zero.

    Default: "true"

    Allowed values: true|false

    See Also:
      - Constant Field Values

  - ### TCP_PORT

    static final String TCP_PORT
    The static String definition of the "tcp-port" property

    Description: A 16-bit integer that determines the tcp/ip port number to listen on for cache communications. If zero, the operating system will select an available port to listen on. Each process on a machine must have its own tcp-port. Note that some operating systems restrict the range of ports usable by non-privileged users, and using restricted port numbers can cause runtime errors in GemFire startup.

    Default: "0"

    Allowed values: 0..65535

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### UDP_FRAGMENT_SIZE

    static final String UDP_FRAGMENT_SIZE
    The static String definition of the "udp-fragment-size" property

    Description: When messages are sent over datagram sockets, GemFire breaks large messages down into fragments for transmission. This property sets the maximum fragment size for transmission. Default: "60000"

    Allowed values: 1000..60000

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### UDP_RECV_BUFFER_SIZE

    static final String UDP_RECV_BUFFER_SIZE
    The static String definition of the "udp-recv-buffer-size" property

    Description: Sets the size of the socket buffer used for incoming udp point-to-point transmissions. Note: if multicast is not enabled and disable-tcp is not enabled, a reduced default size of 65535 is used. Default: "1048576 if multicast is enabled or disable-tcp is true, 131071 if not"

    Allowed values: 2048..Operating System maximum

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### UDP_SEND_BUFFER_SIZE

    static final String UDP_SEND_BUFFER_SIZE
    The static String definition of the "udp-send-buffer-size" property

    Description: Sets the size of the socket buffer used for outgoing udp point-to-point transmissions. Default: "65535"

    Allowed values: 2048..Operating System maximum

    Since: GemFire 5.0

    See Also:
      - Constant Field Values

  - ### USE_CLUSTER_CONFIGURATION

    static final String USE_CLUSTER_CONFIGURATION
    The static String definition of the "use-cluster-configuration" property

    Description: This property is only applicable for data members (non client and non locator) "true" causes a member to request and uses the configuration from cluster configuration services running on dedicated locators. "false" causes a member to not request the configuration from the configuration services running on the locator(s).

    Default: "true"

    Allowed values: true or false

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### USER_COMMAND_PACKAGES

    static final String USER_COMMAND_PACKAGES
    The static String definition of the "user-command-packages" property

    Description: A comma separated list of Java packages that contain classes implementing the `CommandMarker` interface. Matching classes will be loaded when the VM starts and will be available in the GFSH command-line utility.

    Default: `""`

    Since: GemFire 8.0

    See Also:
      - Constant Field Values

  - ### OFF_HEAP_MEMORY_SIZE

    static final String OFF_HEAP_MEMORY_SIZE
    The static String definition of the "off-heap-memory-size" property

    Description: The total size of off-heap memory specified as off-heap-memory-size=<n>[g|m]. <n> is the size. [g|m] indicates whether the size should be interpreted as gigabytes or megabytes. By default no off-heap memory is allocated. A non-zero value will cause that much memory to be allocated from the operating system and reserved for off-heap use.

    Default: `""`

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### LOCK_MEMORY

    static final String LOCK_MEMORY
    The static String definition of the "lock-memory" property

    Description: Include this option to lock GemFire heap and off-heap memory pages into RAM. This prevents the operating system from swapping the pages out to disk, which can cause sever performance degradation. When you use this command, also configure the operating system limits for locked memory.

    Default: `"false"`

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SECURITY_SHIRO_INIT

    static final String SECURITY_SHIRO_INIT
    The static String definition of the "shiro-init" property Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### DISTRIBUTED_TRANSACTIONS

    static final String DISTRIBUTED_TRANSACTIONS
    The static String definition of the "distributed-transactions" property Since: Geode 1.0
    See Also:
      - Constant Field Values

  - ### SSL_USE_DEFAULT_CONTEXT

    static final String SSL_USE_DEFAULT_CONTEXT
    The static String definition of the "ssl-use-default-context" property

    Description When true, either uses the default context as returned by SSLContext.getInstance('Default') or uses the context as set by using SSLContext.setDefault(). If false, then specify the keystore and the truststore by setting ssl-keystore-* and ssl-truststore-* properties. If true, then ssl-endpoint-identification-enabled is set to true. This property does not enable SSL.

    Default: "false"

    Since: Geode 1.7

    See Also:
      - Constant Field Values

  - ### SSL_ENDPOINT_IDENTIFICATION_ENABLED

    static final String SSL_ENDPOINT_IDENTIFICATION_ENABLED
    The static String definition of the "ssl-endpoint-identification-enabled" property

    Description: If true, clients validate server hostname using server certificate during SSL handshake. It defaults to true when ssl-use-default-context is true or else false.

    Default: `"false"`

    Since: Geode 1.7

    See Also:
      - Constant Field Values

  - ### SSL_ENABLED_COMPONENTS

    static final String SSL_ENABLED_COMPONENTS
    The static String definition of the "ssl-enabled-components" property

    Description: This setting is a comma delimited fields which works in conjunction with the `CLUSTER_SSL_PREFIX` properties. This property will determine which components will use SSL for their communications.

    Options: "all","server","cluster","gateway","web","jmx","" -- As described `SecurableCommunicationChannels` Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SECURITY_AUTH_TOKEN_ENABLED_COMPONENTS

    static final String SECURITY_AUTH_TOKEN_ENABLED_COMPONENTS
    The static String definition of the "security-auth-token-enabled-components" property

    Description: This setting is a comma delimited list of component names which works in conjunction with the `SECURITY_MANAGER` properties. if security manager is enabled, this property will determine what rest end point will use token based authentication instead of basic (username/password) authentication.

    Componant names: "all","management" Since: Geode 1.11 "pulse" Since: Geode 1.13 "all": shorthand for all the security components that support token authentication. "management": the `Management REST Service` "pulse": the Pulse web app Note: listing components that are not enabled does nothing. Default: empty. All security components use basic (username/password) authentication

    See Also:
      - Constant Field Values

  - ### SSL_CIPHERS

    static final String SSL_CIPHERS
    The static String definition of the "ssl-ciphers" property

    Description: A space separated list of the SSL cipher suites to enable. Those listed must be supported by the available providers.

    Default: "any"

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_KEYSTORE

    static final String SSL_KEYSTORE
    The static String definition of the "ssl-keystore" property

    DescriptionLocation of the Java keystore file containing certificate and private key.

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_KEYSTORE_PASSWORD

    static final String SSL_KEYSTORE_PASSWORD
    The static String definition of the "ssl-keystore-password" property

    DescriptionPassword to access the private key from the keystore file specified by javax.net.ssl.keyStore.

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_KEYSTORE_TYPE

    static final String SSL_KEYSTORE_TYPE
    The static String definition of the "ssl-keystore-type" property

    DescriptionFor Java keystore file format, this property has the value jks (or JKS).

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_TRUSTSTORE_TYPE

    static final String SSL_TRUSTSTORE_TYPE
    The static String definition of the "ssl-truststore-type" property

    DescriptionFor Java truststore file format, this property has the value jks (or JKS).

    Default: ""

    Since: Geode 1.3

    See Also:
      - Constant Field Values

  - ### SSL_PROTOCOLS

    static final String SSL_PROTOCOLS
    The static String definition of the "ssl-protocols" property

    Description: A space separated list of the SSL protocols to enable on both the client and server side of the SSL connection. See `SSL_CLIENT_PROTOCOLS` and `SSL_SERVER_PROTOCOLS` for configuring each side individually. Those listed must be supported by the available providers.

    Default: "any"

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_CLIENT_PROTOCOLS

    static final String SSL_CLIENT_PROTOCOLS
    The static String definition of the "ssl-client-protocols" property

    Description: A space separated list of the SSL protocols to enable on the client side of the SSL connection. Those listed must be supported by the available providers.

    Default: The value of `SSL_PROTOCOLS`.

    See Also:
      - Constant Field Values

  - ### SSL_SERVER_PROTOCOLS

    static final String SSL_SERVER_PROTOCOLS
    The static String definition of the "ssl-server-protocols" property

    Description: A space separated list of the SSL protocols to enable on the server side of the SSL connection. Those listed must be supported by the available providers.

    Default: The value of `SSL_PROTOCOLS`.

    See Also:
      - Constant Field Values

  - ### SSL_REQUIRE_AUTHENTICATION

    static final String SSL_REQUIRE_AUTHENTICATION
    The static String definition of the "ssl-require-authentication" property

    Description: If false, allow ciphers that do not require the client side of the connection to be authenticated.

    Default: "true"

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_TRUSTSTORE

    static final String SSL_TRUSTSTORE
    The static String definition of the "ssl-truststore" property

    DescriptionLocation of the Java keystore file containing the collection of CA certificates trusted by distributed member (trust store).

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_TRUSTSTORE_PASSWORD

    static final String SSL_TRUSTSTORE_PASSWORD
    The static String definition of the "ssl-truststore-password" property

    DescriptionPassword to unlock the keystore file (store password) specified by javax.net.ssl.trustStore.

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_DEFAULT_ALIAS

    static final String SSL_DEFAULT_ALIAS
    The static String definition of the "ssl-default-alias" property DescriptionThis property will be set when using multi-key keystores. This will define the alias that the ssl connection factory would use when no alias has been set for the different component aliases. `SSL_CLUSTER_ALIAS`, `SSL_SERVER_ALIAS`,`SSL_LOCATOR_ALIAS`,`SSL_GATEWAY_ALIAS`,`SSL_JMX_ALIAS` , `SSL_WEB_ALIAS`

    Default: ""

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_WEB_SERVICE_REQUIRE_AUTHENTICATION

    static final String SSL_WEB_SERVICE_REQUIRE_AUTHENTICATION
    The static String definition of the "ssl-web-require-authentication" property DescriptionIf false allows client side's http connection to be authenticated without a 2-way SSL authentication.

    Default: "false"

    Since: Geode 1.0

    See Also:
      - Constant Field Values

  - ### SSL_PARAMETER_EXTENSION

    static final String SSL_PARAMETER_EXTENSION
    The static String definition of the "ssl-parameter-extension" property DescriptionSSLParameterExtension module name for Clients that want to use SSL Parameter extensions. Module must implement SSLParameterExtension interface.

    Default: ""

    Since: Geode 1.12

    Allowed values: class name

    See Also:
      - Constant Field Values

  - ### VALIDATE_SERIALIZABLE_OBJECTS

    static final String VALIDATE_SERIALIZABLE_OBJECTS
    The static String definition of the "validate-serializable-objects" property DescriptionIf true checks incoming java serializable objects against a filter (allows internal Geode classes and any others provided in the serializable-object-filter property).

    Default: "false"

    Since: Geode 1.4

    See Also:
      - Constant Field Values

  - ### SERIALIZABLE_OBJECT_FILTER

    static final String SERIALIZABLE_OBJECT_FILTER
    The static String definition of the "serializable-object-filter" property DescriptionA user provided acceptlist of objects that the system will allow to serialize.

    See java.io.ObjectInputFilter.Config for details on the syntax for creating filters. https://docs.oracle.com/javase/9/docs/api/java/io/ObjectInputFilter.Config.html

    Default: "!*"

    Since: Geode 1.4

    See Also:
      - Constant Field Values

  - ### THREAD_MONITOR_ENABLED

    static final String THREAD_MONITOR_ENABLED
    The static String definition of the "thread-monitor-enabled" property

    Description: Defines whether thread monitoring is to be enabled.

    Default: "true"

    Allowed values: false/true

    See Also:
      - Constant Field Values

  - ### THREAD_MONITOR_INTERVAL

    static final String THREAD_MONITOR_INTERVAL
    The static String definition of the "thread-monitor-interval-ms" property

    Description: Defines the time interval (in milliseconds) with which thread monitoring is scheduled to run.

    Default: "60000"

    See Also:
      - Constant Field Values

  - ### THREAD_MONITOR_TIME_LIMIT

    static final String THREAD_MONITOR_TIME_LIMIT
    The static String definition of the "thread-monitor-time-limit-ms" property

    Description: Defines the time period (in milliseconds) after which the monitored thread is considered to be stuck.

    Default: "30000"

    See Also:
      - Constant Field Values